package vista;

import java.awt.Color;
import java.util.List;

import javax.swing.JPanel;

import modelo.Carta;
import modelo.Jugador;

public class PanelCartas extends JPanel {

	
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	public PanelCartas() {
		super();
		setSize(450, 150);
		setBackground(Color.BLACK);
	}
	
	public PanelCartas(List<Carta> carts){
		super();
		setSize(450, 150);
		setBackground(Color.BLACK);
		setCartas(carts);
	}
	
	public void setCartas(Jugador j){
		setCartas(j.getReparto());
	}
	
	public void setCartas(List<Carta> c){
		BotonCarta bc;
		int  tam = c.size();
		for (int i=0; i<tam;i++) {
			bc = new BotonCarta(c.get(i));
			bc.setActionCommand("botonCarta");
			bc.setEnabled(false);
		}
	}
}
